compat-wxGTK3-gtk2-3.0.2-7.fc24.i686.rpm


Advertisement

Description

compat-wxGTK3-gtk2 - GTK2 port of the wxWidgets GUI library

Distribution: Fedora 25
Repository: Fedora x86_64
Package name: compat-wxGTK3-gtk2
Package version: 3.0.2
Package release: 7.fc24
Package architecture: i686
Package type: rpm
Installed size: 18.46 MB
Download size: 5.41 MB
Official Mirror: dl.fedoraproject.org
wxWidgets is the GTK port of the C++ cross-platform wxWidgets GUI library, offering classes for all common GUI controls as well as a comprehensive set of helper classes for most common application tasks, ranging from networking to HTML display and image manipulation. This is a version linked with old GTK version for compatibility with programs that don't work with more recent GTK yet.

Provides

  • compat-wxGTK3-gtk2 = 3.0.2-7.fc24
  • compat-wxGTK3-gtk2(x86-32) = 3.0.2-7.fc24
  • compat-wxWidgets-gtk2 = 3.0.2-7.fc24
  • libwx_gtk2u_adv-3.0-gtk2.so.0
  • libwx_gtk2u_adv-3.0-gtk2.so.0(WX_3.0)
  • libwx_gtk2u_adv-3.0-gtk2.so.0(WX_3.0.1)
  • libwx_gtk2u_adv-3.0-gtk2.so.0(WX_3.0.2)
  • libwx_gtk2u_aui-3.0-gtk2.so.0
  • libwx_gtk2u_aui-3.0-gtk2.so.0(WX_3.0)
  • libwx_gtk2u_aui-3.0-gtk2.so.0(WX_3.0.1)
  • libwx_gtk2u_aui-3.0-gtk2.so.0(WX_3.0.2)
  • libwx_gtk2u_core-3.0-gtk2.so.0
  • libwx_gtk2u_core-3.0-gtk2.so.0(WX_3.0)
  • libwx_gtk2u_core-3.0-gtk2.so.0(WX_3.0.1)
  • libwx_gtk2u_core-3.0-gtk2.so.0(WX_3.0.2)
  • libwx_gtk2u_html-3.0-gtk2.so.0
  • libwx_gtk2u_html-3.0-gtk2.so.0(WX_3.0)
  • libwx_gtk2u_html-3.0-gtk2.so.0(WX_3.0.1)
  • libwx_gtk2u_html-3.0-gtk2.so.0(WX_3.0.2)
  • libwx_gtk2u_propgrid-3.0-gtk2.so.0
  • libwx_gtk2u_propgrid-3.0-gtk2.so.0(WX_3.0)
  • libwx_gtk2u_propgrid-3.0-gtk2.so.0(WX_3.0.1)
  • libwx_gtk2u_propgrid-3.0-gtk2.so.0(WX_3.0.2)
  • libwx_gtk2u_qa-3.0-gtk2.so.0
  • libwx_gtk2u_qa-3.0-gtk2.so.0(WX_3.0)
  • libwx_gtk2u_qa-3.0-gtk2.so.0(WX_3.0.1)
  • libwx_gtk2u_qa-3.0-gtk2.so.0(WX_3.0.2)
  • libwx_gtk2u_ribbon-3.0-gtk2.so.0
  • libwx_gtk2u_ribbon-3.0-gtk2.so.0(WX_3.0)
  • libwx_gtk2u_ribbon-3.0-gtk2.so.0(WX_3.0.1)
  • libwx_gtk2u_ribbon-3.0-gtk2.so.0(WX_3.0.2)
  • libwx_gtk2u_richtext-3.0-gtk2.so.0
  • libwx_gtk2u_richtext-3.0-gtk2.so.0(WX_3.0)
  • libwx_gtk2u_richtext-3.0-gtk2.so.0(WX_3.0.1)
  • libwx_gtk2u_richtext-3.0-gtk2.so.0(WX_3.0.2)
  • libwx_gtk2u_stc-3.0-gtk2.so.0
  • libwx_gtk2u_stc-3.0-gtk2.so.0(WX_3.0)
  • libwx_gtk2u_stc-3.0-gtk2.so.0(WX_3.0.1)
  • libwx_gtk2u_stc-3.0-gtk2.so.0(WX_3.0.2)
  • libwx_gtk2u_webview-3.0-gtk2.so.0
  • libwx_gtk2u_webview-3.0-gtk2.so.0(WX_3.0)
  • libwx_gtk2u_webview-3.0-gtk2.so.0(WX_3.0.1)
  • libwx_gtk2u_webview-3.0-gtk2.so.0(WX_3.0.2)
  • libwx_gtk2u_xrc-3.0-gtk2.so.0
  • libwx_gtk2u_xrc-3.0-gtk2.so.0(WX_3.0)
  • libwx_gtk2u_xrc-3.0-gtk2.so.0(WX_3.0.1)
  • libwx_gtk2u_xrc-3.0-gtk2.so.0(WX_3.0.2)

    Install Howto

    Install the compat-wxGTK3-gtk2 rpm package:

    # dnf install compat-wxGTK3-gtk2

    Files

    • /usr/lib/libwx_gtk2u_adv-3.0-gtk2.so.0
    • /usr/lib/libwx_gtk2u_adv-3.0-gtk2.so.0.2.0
    • /usr/lib/libwx_gtk2u_aui-3.0-gtk2.so.0
    • /usr/lib/libwx_gtk2u_aui-3.0-gtk2.so.0.2.0
    • /usr/lib/libwx_gtk2u_core-3.0-gtk2.so.0
    • /usr/lib/libwx_gtk2u_core-3.0-gtk2.so.0.2.0
    • /usr/lib/libwx_gtk2u_html-3.0-gtk2.so.0
    • /usr/lib/libwx_gtk2u_html-3.0-gtk2.so.0.2.0
    • /usr/lib/libwx_gtk2u_propgrid-3.0-gtk2.so.0
    • /usr/lib/libwx_gtk2u_propgrid-3.0-gtk2.so.0.2.0
    • /usr/lib/libwx_gtk2u_qa-3.0-gtk2.so.0
    • /usr/lib/libwx_gtk2u_qa-3.0-gtk2.so.0.2.0
    • /usr/lib/libwx_gtk2u_ribbon-3.0-gtk2.so.0
    • /usr/lib/libwx_gtk2u_ribbon-3.0-gtk2.so.0.2.0
    • /usr/lib/libwx_gtk2u_richtext-3.0-gtk2.so.0
    • /usr/lib/libwx_gtk2u_richtext-3.0-gtk2.so.0.2.0
    • /usr/lib/libwx_gtk2u_stc-3.0-gtk2.so.0
    • /usr/lib/libwx_gtk2u_stc-3.0-gtk2.so.0.2.0
    • /usr/lib/libwx_gtk2u_webview-3.0-gtk2.so.0
    • /usr/lib/libwx_gtk2u_webview-3.0-gtk2.so.0.2.0
    • /usr/lib/libwx_gtk2u_xrc-3.0-gtk2.so.0
    • /usr/lib/libwx_gtk2u_xrc-3.0-gtk2.so.0.2.0
    • /usr/share/doc/compat-wxGTK3-gtk2/changes.txt
    • /usr/share/doc/compat-wxGTK3-gtk2/gpl.txt
    • /usr/share/doc/compat-wxGTK3-gtk2/lgpl.txt
    • /usr/share/doc/compat-wxGTK3-gtk2/licence.txt
    • /usr/share/doc/compat-wxGTK3-gtk2/licendoc.txt
    • /usr/share/doc/compat-wxGTK3-gtk2/preamble.txt
    • /usr/share/doc/compat-wxGTK3-gtk2/readme.txt
    • /usr/share/locale/ca/LC_MESSAGES/wxstd30-gtk2.mo
    • /usr/share/locale/cs/LC_MESSAGES/wxstd30-gtk2.mo
    • /usr/share/locale/da/LC_MESSAGES/wxstd30-gtk2.mo
    • /usr/share/locale/de/LC_MESSAGES/wxstd30-gtk2.mo
    • /usr/share/locale/el/LC_MESSAGES/wxstd30-gtk2.mo
    • /usr/share/locale/es/LC_MESSAGES/wxstd30-gtk2.mo
    • /usr/share/locale/fi/LC_MESSAGES/wxstd30-gtk2.mo
    • /usr/share/locale/fr/LC_MESSAGES/wxstd30-gtk2.mo
    • /usr/share/locale/hu/LC_MESSAGES/wxstd30-gtk2.mo
    • /usr/share/locale/id/LC_MESSAGES/wxstd30-gtk2.mo
    • /usr/share/locale/it/LC_MESSAGES/wxmsw30-gtk2.mo
    • /usr/share/locale/it/LC_MESSAGES/wxstd30-gtk2.mo
    • /usr/share/locale/ja/LC_MESSAGES/wxstd30-gtk2.mo
    • /usr/share/locale/nl/LC_MESSAGES/wxstd30-gtk2.mo
    • /usr/share/locale/pl/LC_MESSAGES/wxstd30-gtk2.mo
    • /usr/share/locale/ru/LC_MESSAGES/wxstd30-gtk2.mo
    • /usr/share/locale/sl/LC_MESSAGES/wxstd30-gtk2.mo
    • /usr/share/locale/sv/LC_MESSAGES/wxstd30-gtk2.mo
    • /usr/share/locale/tr/LC_MESSAGES/wxstd30-gtk2.mo
    • /usr/share/locale/uk/LC_MESSAGES/wxstd30-gtk2.mo
    • /usr/share/locale/zh_CN/LC_MESSAGES/wxstd30-gtk2.mo
    • /usr/share/locale/zh_TW/LC_MESSAGES/wxstd30-gtk2.mo

    Changelog

    2015-12-17 - Lubomir Rintel <lkundrak@v3.sk> 3.0.2-7 - Try to make our users use the same C++ ABI we do - Don't abort on C++ ABI version mismatch

    2015-12-04 - Peter Robinson <pbrobinson@fedoraproject.org> 3.0.2-6 - Drop gnomeprint, it's been deprecated

    2015-06-17 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.2-5.1 - Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

    2015-05-02 - Kalev Lember <kalevlember@gmail.com> - 3.0.2-4.1 - Rebuilt for GCC 5 C++11 ABI change

    2015-03-19 - Lubomir Rintel <lkundrak@v3.sk> - 3.0.2-3.1 - Modify for GTK2 compatibility build, needed for KiCAD

    2015-02-26 - Jeremy Newton <alexjnewt@hotmail.com> - 3.0.2-3 - Bump to rebuild for gcc 5.0 to fix some issues

    2014-11-04 - Jeremy Newton <alexjnewt@hotmail.com> - 3.0.2-2 - Moving things around again, hopefully fixing RH#1124402 - Adding symlinks to avoid breaking things

    2014-11-04 - Jeremy Newton <alexjnewt@hotmail.com> - 3.0.2-1 - Update to 3.0.2

    2014-11-03 - Marcin Juszkiewicz <mjuszkiewicz@redhat.com> - 3.0.1-5 - Add aarch64 and ppc64le to list of 64-bit architectures

    2014-09-30 - Jeremy Newton <alexjnewt@hotmail.com> - 3.0.1-4 - Add conflict with wxgtk-devel again, temporary fix until it can be resolved

    Advertisement
    Advertisement